# CompletionTokensDetails

Detailed completion token usage


## Fields

| Field                        | Type                         | Required                     | Description                  |
| ---------------------------- | ---------------------------- | ---------------------------- | ---------------------------- |
| `accepted_prediction_tokens` | *OptionalNullable[int]*      | :heavy_minus_sign:           | Accepted prediction tokens   |
| `audio_tokens`               | *OptionalNullable[int]*      | :heavy_minus_sign:           | Tokens used for audio output |
| `reasoning_tokens`           | *OptionalNullable[int]*      | :heavy_minus_sign:           | Tokens used for reasoning    |
| `rejected_prediction_tokens` | *OptionalNullable[int]*      | :heavy_minus_sign:           | Rejected prediction tokens   |